Subject: Re: [BEHAVE] updated rfc3489bis

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 02 Jul 2008 10:52:55 -0400

Marc,

So sorry for the long delay. I'm finishing the update to 3489bis now. 
Responses below:

Marc Petit-Huguenin wrote:
> I never received any answer to this questions.  I am especially
> interested in an answer to the second question.
> 
> Thanks.
> 
> Marc Petit-Huguenin wrote:
>> I just did a complete review of my code against rfc3489bis-15 and have
>> some questions:
>>
>> - Section 7.1 "All STUN requests and responses sent over UDP SHOULD be
>> less than the path MTU":  Shouldn't indications be added to this list?

Yes. I've updated the text to just talk about 'messages' which includes 
requests, responses and indications.

>>
>> - Section 9:  Now that there will be a default port defines for STUN
>> over TLS, shouldn't the last sentence of the last paragraph removed?

Correct. Text now reads:

         usage. For usages that require TLS, the client connects to
         one of the IP addresses using the default STUN over TLS port. </t>

>>
>> - Section 15.8:  Shouln't the section says that the text must be a UTF-8
>> encoded sequence, like for USERNAME and REALM?

No - NONCE has the same grammar as in RFC 3261 which uses qdtext or 
quoted pair.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   499 Thornall St.
Cisco Fellow                                   Edison, NJ 08837
Cisco, Voice Technology Group
[email-masked]
http://www.jdrosen.net                         PHONE: (408) 902-3084
http://www.cisco.com
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave